%define name directfb
%define version 0.9.20
%define oname DirectFB
%define major 0.9_20
%define libname %mklibname %name %major

Summary:	Hardware graphics acceleration library
Name:		%name
Version:	%version
Release:	2mdk
License:	GPL
Group:		System/Libraries
Source0:	http://www.directfb.org/download/%{name}/%{oname}-%{version}.tar.bz2
Patch1:		DirectFB-0.9.20-20_matrox.patch.bz2
Patch2:		DirectFB-0.9.20-22_videodev.patch.bz2
Patch3:		DirectFB-0.9.20-23_linux_fb.h.patch.bz2
URL:		http://www.directfb.org/
BuildRequires:	autoconf2.5
BuildRequires:	libpng-devel >= 1.2.0
BuildRequires:	libjpeg-devel >= 6b
BuildRequires:	freetype2-devel >= 2.0.2
BuildRequires:  kernel-source
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
DirectFB hardware graphics acceleration - libraries.

%package -n %libname
Summary:        Shared library part of %oname
Group:		System/Libraries

%description -n %libname
DirectFB hardware graphics acceleration - libraries.

This package contains the %oname shared library and interface modules.
It's required for running apps based on %oname.


%package -n %libname-devel
Group:		Development/C
Summary:	Header files for compiling DirectFB applications
Requires:	%{libname} = %{version}-%release
Provides:	lib%name-devel = %version-%release
Provides:	%oname-devel = %version-%release
Provides:	libdirectfb0.9-devel = %version-%release

%description -n %libname-devel
DirectFB header files for building applications based on %oname. 

%package doc
Summary:	DirectFB - documentation
Group:		Books/Computer books

%description doc
DirectFB documentation and examples.

%prep
%setup  -q -n %oname-%version
%patch1 -p1 -b .matrox
%patch2 -p1 -b .videodev
%patch3 -p1 -b .linux_fb.h
autoconf

%build
%define __libtoolize true
%configure2_5x \
	--disable-maintainer-mode \
	--enable-shared \
	--disable-fast-install \
	--disable-avifile \
	--disable-debug
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
# we don't ship these ATM, libtool relink problem
rm -f %buildroot/%_bindir/dfbg
rm -f %buildroot/%_mandir/man1/dfbg.1
rm -f %buildroot/%_bindir/dfbdump
rm -f %buildroot/%_bindir/dfbinfo
rm -f %buildroot/%_bindir/dfblayer

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(644,root,root,755)
%doc README* AUTHORS ChangeLog NEWS TODO
%attr(755,root,root) %{_libdir}/lib*.so.*
%{_libdir}/directfb-%version
%{_datadir}/directfb-%version


%files -n %libname-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/directfb-config
%attr(755,root,root) %{_bindir}/directfb-csource
#%attr(755,root,root) %_bindir/dfblayer
#%attr(755,root,root) %{_bindir}/dfbdump
#%attr(755,root,root) %{_bindir}/dfbinfo
%{_includedir}/directfb
%{_includedir}/directfb-internal
%_mandir/man1/directfb-csource.1*
%_mandir/man5/directfbrc.5*
%{_libdir}/pkgconfig/*
%{_libdir}/*.la
%{_libdir}/*.so

%files doc
%defattr(644,root,root,755)
%doc docs/html/*

%changelog
* Tue Sep 28 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.20-2mdk
- merge patches from Debian:
  * fix matrox driver build
  * fix savage driver build (include <linux/fb.h> adequately)
  * fix IDirectFBVideoProvider build (add <linux/videodev2.h> specifically)

* Tue Nov 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.20-1mdk
- remove all broken binaries
- add missing includes to the matrox driver 
- buildrequires kernel-source for the i2c headers
- don't libtoolize
- configure2_5x macro 
- fix buildrequires
- new version

* Wed Jul 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.18-2mdk
- rebuild for new rpm

* Tue Jun  3 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.18-1mdk
- new version

* Sat Mar  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.17-1mdk
- fix provides
- mklibname macro
- add missing binaries to the devel package
- new version

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.15-2mdk
- rebuild

* Wed Nov 13 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.15-1mdk
- new version

* Tue Oct 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.14-1mdk
- fix group of doc package
- new version

* Fri Aug 23 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.13-1mdk
- add directfb-csource and man page
- 0.9.13

* Thu Jul 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.12-1mdk
- initial package based on PLD effort

